CREATE TABLE IF NOT EXISTS `acdrchannels` (
  `channel` varchar(50) NOT NULL,
  `extension` varchar(20) NOT NULL default '',
  `groupname` varchar(50) NOT NULL default '',
  `name` varchar(100) default NULL,
  PRIMARY KEY  (`channel`)
) DEFAULT CHARSET 'utf8';

CREATE TABLE IF NOT EXISTS `acdrrates` (
  `ratesid` int(16) NOT NULL auto_increment,
  `prefix` varchar(14) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `cost` float(6,4) NOT NULL default '0.0000',
  `connectcost` float(6,4) NOT NULL default '0.0000',
  `includedsecond` int(11) NOT NULL default '0',
  `step` int(11) NOT NULL default '1',
  `trunk` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`ratesid`),
  UNIQUE KEY `trunkprefix` (`prefix`,`trunk`)
) DEFAULT CHARSET 'utf8';

CREATE TABLE IF NOT EXISTS `acdrcost` (
  `id` int(11) NOT NULL auto_increment,
  `uniqueid` varchar(32) default NULL,
  `destination` varchar(80) default NULL,
  `cost` decimal(6,2) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `uni` (`uniqueid`)
); 

CREATE TABLE IF NOT EXISTS `acdrnormalisationrules` (
  `id` int(11) NOT NULL auto_increment,
  `prepend` varchar(20) default NULL,
  `prefix` varchar(20) default NULL,
  `pattern` varchar(50) default NULL,
  `sort` int(11) default NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE IF NOT EXISTS `acdrsetup` (
  `id` int(11) NOT NULL auto_increment,
  `keyword` varchar(50) default NULL,
  `parameter` varchar(50) default NULL,
  `value` varchar(100) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `keypar` (`keyword`,`parameter`)
);

CREATE TABLE IF NOT EXISTS `acdrusers` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(30) default NULL,
  `password` varchar(100) default NULL,
  `name` varchar(100) default NULL,
  `level` enum('admin','user') default 'user',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nombre` (`login`)
);

CREATE TABLE IF NOT EXISTS `acdruserchannel` (
  `acdrusers_id` int(6) default NULL,
  `acdrchannels_channel` varchar(50) default NULL,
  UNIQUE KEY `unico` (`acdrusers_id`,`acdrchannels_channel`)
);


CREATE TABLE IF NOT EXISTS `acdruserfilter` (
  `user` varchar(30) default NULL,
  `param` varchar(30) default NULL,
  `value` varchar(100) default NULL,
   UNIQUE KEY `unico` (`user`,`param`,`value`)
);

CREATE TABLE IF NOT EXISTS `acdrschedule` (
  `id` int(11) NOT NULL auto_increment,
  `mailto` varchar(250) default NULL,
  `mailfrom` varchar(250)  default NULL,
  `mailfromname` varchar(250)  NOT NULL default '',
  `subject` varchar(250)  default NULL,
  `reports` text ,
  `period` varchar(50)  default NULL,
  `message` text ,
  `frequency` varchar(50)  default NULL,
  `freqday` varchar(50)  default NULL,
  `freqhour` varchar(10)  default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET 'utf8';

INSERT IGNORE INTO `acdrusers` VALUES (1,'admin','d033e22ae348aeb5660fc2140aec35850c4da997','Administrator','admin');
INSERT IGNORE INTO `acdruserchannel` VALUES (1,'-1');
INSERT IGNORE INTO `acdruserfilter` VALUES ('admin','channel','-1');

DROP FUNCTION IF EXISTS SPLIT_STR;

CREATE FUNCTION SPLIT_STR( x VARCHAR(255), delim VARCHAR(12), pos INT ) RETURNS VARCHAR(255) RETURN REPLACE(SUBSTRING(SUBSTRING_INDEX(x, delim, pos), LENGTH(SUBSTRING_INDEX(x, delim, pos -1)) + 1), delim, '');

GRANT EXECUTE ON *.* TO asteriskuser@localhost;
